<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>MCAN_RxBufElement_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">MCAN_RxBufElement_t Struct Reference<div class="ingroups"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r.html">CANFD Driver</a> &raquo; <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html">CANFD Driver Internal Data Structures</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Data structure defines the MCAN Rx Buffer element.  
 <a href="struct_m_c_a_n___rx_buf_element__t.html#details">More...</a></p>

<p><code>#include &lt;drivers/canfd/include/canfd_internal.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:aeef3d29c7bc7b4dd39773ba91447f99a"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_c_a_n___rx_buf_element__t.html#aeef3d29c7bc7b4dd39773ba91447f99a">id</a></td></tr>
<tr class="separator:aeef3d29c7bc7b4dd39773ba91447f99a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17ab257748bd3af173b8c49ee14fc601"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_c_a_n___rx_buf_element__t.html#a17ab257748bd3af173b8c49ee14fc601">rtr</a></td></tr>
<tr class="separator:a17ab257748bd3af173b8c49ee14fc601"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3443bd2ed50f1fdb18b0bc9ccad85105"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_c_a_n___rx_buf_element__t.html#a3443bd2ed50f1fdb18b0bc9ccad85105">xtd</a></td></tr>
<tr class="separator:a3443bd2ed50f1fdb18b0bc9ccad85105"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8aad5a69b5f9e7d039438fca8e39d1c5"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_c_a_n___rx_buf_element__t.html#a8aad5a69b5f9e7d039438fca8e39d1c5">esi</a></td></tr>
<tr class="separator:a8aad5a69b5f9e7d039438fca8e39d1c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a2f31339fa3b8a5c868c5029e205286"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_c_a_n___rx_buf_element__t.html#a0a2f31339fa3b8a5c868c5029e205286">rxts</a></td></tr>
<tr class="separator:a0a2f31339fa3b8a5c868c5029e205286"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a462a0611e8c7edf2e741af9990b0b302"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_c_a_n___rx_buf_element__t.html#a462a0611e8c7edf2e741af9990b0b302">dlc</a></td></tr>
<tr class="separator:a462a0611e8c7edf2e741af9990b0b302"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e1674f4a187c34a178dad8110526d92"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_c_a_n___rx_buf_element__t.html#a7e1674f4a187c34a178dad8110526d92">brs</a></td></tr>
<tr class="separator:a7e1674f4a187c34a178dad8110526d92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18f5aeb4c8dae33c3a40a26afcfbbda1"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_c_a_n___rx_buf_element__t.html#a18f5aeb4c8dae33c3a40a26afcfbbda1">fdf</a></td></tr>
<tr class="separator:a18f5aeb4c8dae33c3a40a26afcfbbda1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9ab3f9a1c6c6cbe874129f339ab95c8"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_c_a_n___rx_buf_element__t.html#af9ab3f9a1c6c6cbe874129f339ab95c8">fidx</a></td></tr>
<tr class="separator:af9ab3f9a1c6c6cbe874129f339ab95c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94e6e82442e2748b3d91d600acd499f6"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_c_a_n___rx_buf_element__t.html#a94e6e82442e2748b3d91d600acd499f6">anmf</a></td></tr>
<tr class="separator:a94e6e82442e2748b3d91d600acd499f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43e38bac58bbd7dace3b2b2723a6fcb6"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_c_a_n___rx_buf_element__t.html#a43e38bac58bbd7dace3b2b2723a6fcb6">data</a> [<a class="el" href="canfd__internal_8h.html#aae9ff297ab474d1d5bb2901e53415cbf">MCAN_MAX_PAYLOAD_BYTES</a>]</td></tr>
<tr class="separator:a43e38bac58bbd7dace3b2b2723a6fcb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Data structure defines the MCAN Rx Buffer element. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a94e6e82442e2748b3d91d600acd499f6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t MCAN_RxBufElement_t::anmf</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Accepted Non-matching Frame 0 - Received frame matching filter index FIDX 1 - Received frame did not match any Rx filter element </p>

</div>
</div>
<a class="anchor" id="a7e1674f4a187c34a178dad8110526d92"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t MCAN_RxBufElement_t::brs</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Bit Rat Switching 0 - Frame received without bit rate switching 1 - Frame received with bit rate switching </p>

</div>
</div>
<a class="anchor" id="a43e38bac58bbd7dace3b2b2723a6fcb6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t MCAN_RxBufElement_t::data[<a class="el" href="canfd__internal_8h.html#aae9ff297ab474d1d5bb2901e53415cbf">MCAN_MAX_PAYLOAD_BYTES</a>]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Data bytes. Only first dlc number of bytes are valid. </p>

</div>
</div>
<a class="anchor" id="a462a0611e8c7edf2e741af9990b0b302"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t MCAN_RxBufElement_t::dlc</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Data Length Code 0-8 - CAN + CAN FD: received frame has 0-8 data bytes 9-15 - CAN: received frame has 8 data bytes 9-15 - CAN FD: received frame has 12/16/20/24/32/48/64 data bytes </p>

</div>
</div>
<a class="anchor" id="a8aad5a69b5f9e7d039438fca8e39d1c5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t MCAN_RxBufElement_t::esi</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Error State Indicator 0 - Transmitting node is error active 1 - Transmitting node is error passive </p>

</div>
</div>
<a class="anchor" id="a18f5aeb4c8dae33c3a40a26afcfbbda1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t MCAN_RxBufElement_t::fdf</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>FD Format 0 - Standard frame format 1 - CAN FD frame format (new DLC-coding and CRC) </p>

</div>
</div>
<a class="anchor" id="af9ab3f9a1c6c6cbe874129f339ab95c8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t MCAN_RxBufElement_t::fidx</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Filter Index </p>

</div>
</div>
<a class="anchor" id="aeef3d29c7bc7b4dd39773ba91447f99a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t MCAN_RxBufElement_t::id</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Identifier </p>

</div>
</div>
<a class="anchor" id="a17ab257748bd3af173b8c49ee14fc601"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t MCAN_RxBufElement_t::rtr</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Remote Transmission Request 0 - Received frame is a data frame 1 - Received frame is a remote frame </p>

</div>
</div>
<a class="anchor" id="a0a2f31339fa3b8a5c868c5029e205286"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t MCAN_RxBufElement_t::rxts</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Rx Timestamp </p>

</div>
</div>
<a class="anchor" id="a3443bd2ed50f1fdb18b0bc9ccad85105"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t MCAN_RxBufElement_t::xtd</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Extended Identifier 0 - 11-bit standard identifier 1 - 29-bit extended identifier </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>drivers/canfd/include/<a class="el" href="canfd__internal_8h.html">canfd_internal.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
